"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("../../logger");
const command_action_1 = require("../../infra/command-action");
const output_1 = require("./output");
const k8s_api_schema_registry_1 = require("../../api-schema/k8s-api-schema-registry");
function default_1(program) {
    program
        .command('list-known-k8s-versions')
        .description('List of known K8s versions')
        .option('--json', 'Output in JSON')
        .action(new command_action_1.CommandBuilder()
        .perform(() => __awaiter(this, void 0, void 0, function* () {
        const k8sApiRegistry = new k8s_api_schema_registry_1.K8sApiSchemaRegistry(logger_1.logger);
        k8sApiRegistry.init();
        return k8sApiRegistry.getVersions();
    }))
        .format(versions => {
        const result = {
            versions: versions
        };
        return result;
    })
        .output(output_1.output)
        .build());
}
exports.default = default_1;
//# sourceMappingURL=index.js.map