"use strict";
// console.log("[execPath]: ", process.execPath)
// console.log("[execArgv]: ", process.execArgv)
// console.log("[argv]: ", process.argv)
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("./logger");
const version_1 = __importDefault(require("./version"));
const commander_1 = require("commander");
const lint_1 = __importDefault(require("./commands/lint"));
const guard_1 = __importDefault(require("./commands/guard"));
const list_known_k8s_versions_1 = __importDefault(require("./commands/list-known-k8s-versions"));
logger_1.logger.info("[execPath]: %s", process.execPath);
logger_1.logger.info("[execArgv]: ", process.execArgv);
logger_1.logger.info("[argv]: ", process.argv);
commander_1.program
    .name('kubevious')
    .description('Kubevious CLI validates Kubernetes manifests.\nFind more information at: https://github.com/kubevious/cli')
    .version(version_1.default);
(0, lint_1.default)(commander_1.program);
(0, guard_1.default)(commander_1.program);
(0, list_known_k8s_versions_1.default)(commander_1.program);
commander_1.program.parse();
//# sourceMappingURL=index.js.map