import { K8sObject, K8sObjectId } from "../types/k8s";
import { ErrorStatus, ManifestSourceId } from "../types/manifest";
export interface ManifestSource extends Required<ErrorStatus> {
    source: ManifestSourceId;
    contents: K8sManifest[];
}
export interface K8sManifestRuleResult {
    processed?: boolean;
    errors?: boolean;
    warnings?: boolean;
}
interface IK8sManifest extends Required<ErrorStatus> {
    id: K8sObjectId;
    isLinted: boolean;
    rules: K8sManifestRuleResult;
    errorsWithRule?: boolean;
    source: ManifestSource;
    config: K8sObject;
}
export declare class K8sManifest implements IK8sManifest {
    private _idKey;
    private _id;
    private _config;
    private _source;
    private _isLinted;
    private _rules;
    private _errorsWithRule?;
    private _success;
    private _errors;
    private _warnings;
    constructor(config: K8sObject, source: ManifestSource);
    get id(): K8sObjectId;
    get idKey(): string;
    get config(): K8sObject;
    get source(): ManifestSource;
    get isLinted(): boolean;
    set isLinted(value: boolean);
    get errorsWithRule(): boolean | undefined;
    set errorsWithRule(value: boolean | undefined);
    get rules(): K8sManifestRuleResult;
    get success(): boolean;
    set success(value: boolean);
    get errors(): string[];
    get warnings(): string[];
}
export {};
//# sourceMappingURL=k8s-manifest.d.ts.map