import { ILogger } from 'the-logger';
import { K8sObject } from '../types/k8s';
import { ManifestSourceType } from '../types/manifest';
import { K8sManifest, ManifestSource } from './k8s-manifest';
export declare class ManifestPackage {
    private _logger;
    private _sources;
    private _manifests;
    private _namespaces;
    constructor(logger: ILogger);
    get sources(): ManifestSource[];
    get manifests(): K8sManifest[];
    get namespaces(): string[];
    getSource(kind: ManifestSourceType, path: string): ManifestSource;
    sourceError(source: ManifestSource, error: string): void;
    sourceErrors(source: ManifestSource, errors: string[]): void;
    manifestError(manifest: K8sManifest, msg: string): void;
    manifestErrors(manifest: K8sManifest, msgs: string[]): void;
    manifestWarning(manifest: K8sManifest, msg: string): void;
    manifestWarnings(manifest: K8sManifest, msgs?: string[]): void;
    addManifest(source: ManifestSource, k8sObject: K8sObject): void;
    produceNamespaces(): void;
}
//# sourceMappingURL=manifest-package.d.ts.map