"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientSideFiltering = void 0;
const the_lodash_1 = __importDefault(require("the-lodash"));
class ClientSideFiltering {
    constructor(items) {
        this._items = items;
    }
    get items() {
        return this._items;
    }
    applyLabelFilter(labelFilters) {
        if (labelFilters && labelFilters.length > 0) {
            this._items = this._items.filter(x => this._doesAnyMatch(labelFilters, (labelFilter) => {
                var _a, _b;
                for (const key of the_lodash_1.default.keys(labelFilter)) {
                    const labels = (_b = (_a = x.config.metadata) === null || _a === void 0 ? void 0 : _a.labels) !== null && _b !== void 0 ? _b : {};
                    if (labels[key] != labelFilter[key]) {
                        return false;
                    }
                }
                return true;
            }));
        }
    }
    _doesAnyMatch(matchers, cb) {
        if (matchers.length == 0) {
            return true;
        }
        for (const matcher of matchers) {
            const isMatch = cb(matcher);
            if (isMatch) {
                return true;
            }
        }
        return false;
    }
}
exports.ClientSideFiltering = ClientSideFiltering;
//# sourceMappingURL=client-side-filtering.js.map