"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CombinedRegistry = void 0;
const the_lodash_1 = __importDefault(require("the-lodash"));
class CombinedRegistry {
    constructor(logger, innerRegistries) {
        this._logger = logger.sublogger('LocalK8sRegistry');
        this._innerRegistries = innerRegistries;
    }
    query(query) {
        this._logger.error("[query] ", query);
        const dict = {};
        for (const registry of this._innerRegistries) {
            const manifests = registry.query(query);
            for (const x of manifests) {
                if (!dict[x.idKey]) {
                    dict[x.idKey] = x;
                }
            }
        }
        return the_lodash_1.default.values(dict);
    }
}
exports.CombinedRegistry = CombinedRegistry;
//# sourceMappingURL=combined-registry.js.map