"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalRegistryPopulator = void 0;
const local_k8s_registry_1 = require("./local-k8s-registry");
const local_source_registry_1 = require("./local-source-registry");
class LocalRegistryPopulator {
    constructor(logger, k8sJsonSchema, manifestPackage) {
        this._logger = logger.sublogger('LocalRegistryPopulator');
        this._k8sJsonSchema = k8sJsonSchema;
        this._manifestPackage = manifestPackage;
        this._localSourceRegistry = new local_source_registry_1.LocalSourceRegistry(logger, manifestPackage);
        this._localK8sRegistry = new local_k8s_registry_1.LocalK8sRegistry(logger);
    }
    get localK8sRegistry() {
        return this._localK8sRegistry;
    }
    process() {
        for (const manifest of this._manifestPackage.manifests) {
            this._localK8sRegistry.loadManifest(manifest);
        }
        for (const manifest of this._manifestPackage.manifests) {
            this._processManifest(manifest);
        }
        this._localSourceRegistry.validateDuplicates();
    }
    _processManifest(manifest) {
        this._localSourceRegistry.add(manifest);
    }
}
exports.LocalRegistryPopulator = LocalRegistryPopulator;
//# sourceMappingURL=local-registry-populator.js.map