/// <reference types="bluebird" />
import { ILogger } from 'the-logger';
import { RuleObject } from '../registry/types';
import { TargetProcessor } from '../target/processor';
import { ExecutionContext } from '../execution/execution-context';
import { ValidationProcessor } from '../validator/processor';
export declare class RuleCompiler {
    private _logger;
    private _ruleObject;
    private _targetProcessor;
    private _validationProcessor;
    private _isCompiled;
    private _hasRuntimeErrors;
    private _ruleErrors;
    constructor(logger: ILogger, ruleObject: RuleObject, targetExecutionContext: ExecutionContext, validatorExecutionContext: ExecutionContext);
    get rule(): RuleObject;
    get isCompiled(): boolean;
    get hasRuntimeErrors(): boolean;
    get ruleErrors(): RuleError[];
    get targetProcessor(): TargetProcessor;
    get validationProcessor(): ValidationProcessor;
    compile(): import("bluebird")<void>;
    reportScriptErrors(source: string, messages: string[]): void;
}
export interface RuleError {
    source: string;
    msg: string;
}
//# sourceMappingURL=rule-compiler.d.ts.map