/// <reference types="bluebird" />
import { ILogger } from 'the-logger';
import { RuleApplicationScope, RuleObject } from '../registry/types';
import { RuleEngineReporter } from '../reporting/rule-engine-reporter';
import { RuleCompiler } from '../compiler/rule-compiler';
import { RuleOverrideValues } from '../spec/rule-spec';
import { K8sManifest } from '../../manifests/k8s-manifest';
export declare class RuleRuntime {
    private _logger;
    private _ruleObject;
    private _manifest;
    private _compiler;
    private _application;
    private _values;
    private _ruleEngineReporter;
    private _violations;
    private _passed;
    constructor(logger: ILogger, manifest: K8sManifest, ruleObject: RuleObject, ruleEngineReporter: RuleEngineReporter, compiler: RuleCompiler, application: RuleApplicationScope, values: RuleOverrideValues);
    get rule(): RuleObject;
    get isCompiled(): boolean;
    get hasRuntimeErrors(): boolean;
    get ruleErrors(): import("../compiler/rule-compiler").RuleError[];
    get violations(): ManifestViolations[];
    get passed(): K8sManifest[];
    execute(): import("bluebird")<void>;
    private _processTarget;
    private _processValidation;
    private _processValidationResult;
    private _reportError;
    private _reportWarning;
}
export interface ManifestViolations {
    manifest: K8sManifest;
    hasErrors: boolean;
    hasWarnings: boolean;
    errors?: string[];
    warnings?: string[];
}
//# sourceMappingURL=rule-runtime.d.ts.map