/// <reference types="bluebird" />
import { ILogger } from 'the-logger';
import { RuleRegistry } from '../registry/rule-registry';
import { RuleRuntime } from './rule-runtime';
import { RegistryQueryExecutor } from '../query-executor';
import { ManifestPackage } from '../../manifests/manifest-package';
export declare class RulesRuntime {
    private _logger;
    private _ruleRegistry;
    private _clusterRules;
    private _rules;
    private _namespaces;
    private _targetExecutionContext;
    private _validatorExecutionContext;
    private _ruleEngineReporter;
    private _spinner?;
    constructor(logger: ILogger, ruleRegistry: RuleRegistry, manifestPackage: ManifestPackage, namespaces: string[], targetQueryExecutor: RegistryQueryExecutor, validatorQueryExecutor: RegistryQueryExecutor);
    get rules(): RuleRuntime[];
    init(): import("bluebird")<void[]>;
    execute(): import("bluebird")<void>;
    private _initClusterRules;
    private _initClusterRule;
    private _setupClusterRuleApplication;
    private _setupClusterRuleRuntime;
    private _initRules;
    private _initRule;
    private _initRuleApplicators;
    private _initRuleApplicator;
    private _executeRule;
    private _makeValues;
}
//# sourceMappingURL=rules-runtime.d.ts.map