"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryFetcher = void 0;
const script_item_1 = require("../script-item");
class QueryFetcher {
    constructor(executionContext, scope) {
        this._result = {
            success: false,
            items: [],
            messages: [],
        };
        this._executionContext = executionContext;
        this._scope = scope;
        this._logger = executionContext.logger.sublogger("QueryFetcher");
    }
    execute(targetScope) {
        this._logger.info("[execute] RUNNING QUERY....");
        targetScope = targetScope !== null && targetScope !== void 0 ? targetScope : {};
        const k8sQuery = this._scope.query;
        if (targetScope.namespace) {
            k8sQuery.filter.namespace = targetScope.namespace;
        }
        const manifests = this._executionContext.registryQueryExecutor.query(k8sQuery.filter);
        this._result.success = true;
        for (const x of manifests) {
            this._result.items.push(new script_item_1.ScriptItem(x));
        }
        this._logger.info("[execute]     RESULT COUNT: %s", this._result.items.length);
        return this._result;
    }
}
exports.QueryFetcher = QueryFetcher;
//# sourceMappingURL=fetcher.js.map