import { ILogger } from 'the-logger';
import { ApplicatorRule, ClusterRule, NamespaceRule, RuleObject } from './types';
import { RegistryQueryExecutor } from '../query-executor';
export interface RuleRegistryLoadOptions {
    namespaces: string[];
    onlySelectedNamespaces: boolean;
    skipClusterScope: boolean;
}
export declare class RuleRegistry {
    private _logger;
    private _clusterRules;
    private _rules;
    private _ruleApplicators;
    constructor(logger: ILogger);
    get clusterRules(): ClusterRule[];
    get rules(): NamespaceRule[];
    get ruleApplicators(): ApplicatorRule[];
    findClusterRule(name: string): RuleObject | null;
    loadLocally(registry: RegistryQueryExecutor, options: RuleRegistryLoadOptions): void;
    loadRemotely(registry: RegistryQueryExecutor, options: RuleRegistryLoadOptions): void;
    private _loadClusterRules;
    private _loadClusterRule;
    private _loadNsRules;
    private _loadNsRule;
    private _loadApplicatorRules;
    private _loadApplicatorRule;
}
//# sourceMappingURL=rule-registry.d.ts.map