"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScopeQueryKind = exports.Scope = void 0;
class Scope {
    constructor() {
        this._query = null;
        this._finalizers = [];
    }
    get query() {
        return this._query;
    }
    registerFinalizer(finalizer) {
        this._finalizers.push(finalizer);
    }
    finalize() {
        for (const finalizer of this._finalizers) {
            finalizer();
        }
    }
    setupQuery(query) {
        this._query = query;
    }
}
exports.Scope = Scope;
var ScopeQueryKind;
(function (ScopeQueryKind) {
    ScopeQueryKind["K8s"] = "K8s";
})(ScopeQueryKind = exports.ScopeQueryKind || (exports.ScopeQueryKind = {}));
//# sourceMappingURL=scope.js.map