import { ExecutionContext } from '../execution/execution-context';
import { Scope, ScopeQueryKind } from '../scope';
export interface KeyValueDict {
    [name: string]: string;
}
export interface K8sTargetBuilderContext {
    namespace?: string;
}
export interface K8sTargetFilter {
    isApiVersion: boolean;
    apiVersion?: string;
    apiOrNone?: string;
    version?: string;
    kind?: string;
    namespace?: string;
    isAllNamespaces?: boolean;
    nameFilters?: string[];
    labelFilters?: KeyValueDict[];
}
export interface ScopeK8sQuery {
    kind: ScopeQueryKind.K8s;
    filter: K8sTargetFilter;
}
export declare class K8sTargetBuilder {
    protected _scope: Scope;
    protected _executionContext: ExecutionContext;
    protected _builderContext: K8sTargetBuilderContext;
    private _data;
    constructor(scope: Scope, executionContext: ExecutionContext, builderContext: K8sTargetBuilderContext);
    ApiVersion(apiVersion: string): this;
    Api(apiOrNone?: string): this;
    Version(version: string): this;
    Kind(kind: string): this;
    namespace(value: string): this;
    allNamespaces(): this;
    name(value: string): this;
    label(key: string, value: string): this;
    labels(value: KeyValueDict): this;
    private _finalize;
}
export declare class K8sTarget {
    protected _scope: Scope;
    protected _executionContext: ExecutionContext;
    constructor(scope: Scope, executionContext: ExecutionContext);
    ApiVersion(apiVersion: string): K8sTargetBuilder;
    Api(apiOrNone?: string): K8sTargetBuilder;
    protected _makeTargetBuilder(): K8sTargetBuilder;
}
//# sourceMappingURL=k8s-target-builder.d.ts.map