/// <reference types="bluebird" />
import { Promise } from 'the-promise';
import { Scope } from '../scope';
import { ScriptItem } from '../script-item';
import { ExecutionContext } from '../execution/execution-context';
import { RuleApplicationScope } from '../registry/types';
import { RuleOverrideValues } from '../spec/rule-spec';
export declare class TargetProcessor {
    private _src;
    private _errorMessages;
    private _scope;
    private _executionContext;
    constructor(src: string, executionContext: ExecutionContext);
    get scope(): Scope;
    prepare(): import("bluebird")<{
        success: boolean;
        messages: string[];
    }>;
    execute(applicationScope: RuleApplicationScope, values: RuleOverrideValues): Promise<ScriptItem[]>;
    private _loadModule;
    private _validate;
    private _validateQueryScope;
    private _validateK8sQuery;
    private _addError;
}
//# sourceMappingURL=processor.d.ts.map