"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeTargetRootScope = void 0;
const k8s_target_builder_1 = require("./k8s-target-builder");
const types_1 = require("./types");
function makeTargetRootScope(rootScopeBuilder, executionContext, scope) {
    rootScopeBuilder.setup(types_1.TopLevelQuery.ApiVersion, (apiVersion) => {
        const target = new k8s_target_builder_1.K8sTarget(scope, executionContext);
        return target.ApiVersion(apiVersion);
    });
    rootScopeBuilder.setup(types_1.TopLevelQuery.Api, (apiOrNone) => {
        const target = new k8s_target_builder_1.K8sTarget(scope, executionContext);
        return target.Api(apiOrNone);
    });
}
exports.makeTargetRootScope = makeTargetRootScope;
//# sourceMappingURL=scope-builder.js.map