"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryableK8sTarget = exports.QueryableK8sTargetBuilder = void 0;
const k8s_target_builder_1 = require("../target/k8s-target-builder");
const scope_executor_1 = require("./scope-executor");
class QueryableK8sTargetBuilder extends k8s_target_builder_1.K8sTargetBuilder {
    many() {
        return (0, scope_executor_1.executeScopeQueryMany)(this._scope, this._executionContext, this._builderContext);
    }
    single() {
        return (0, scope_executor_1.executeScopeQuerySingle)(this._scope, this._executionContext, this._builderContext);
    }
    count() {
        return (0, scope_executor_1.executeScopeQueryCount)(this._scope, this._executionContext, this._builderContext);
    }
}
exports.QueryableK8sTargetBuilder = QueryableK8sTargetBuilder;
class QueryableK8sTarget extends k8s_target_builder_1.K8sTarget {
    constructor(scope, executionContext, item) {
        var _a, _b;
        super(scope, executionContext);
        this._builderContext = {};
        this._builderContext.namespace = (_b = (_a = item.config) === null || _a === void 0 ? void 0 : _a.metadata) === null || _b === void 0 ? void 0 : _b.namespace;
    }
    _makeTargetBuilder() {
        return new QueryableK8sTargetBuilder(this._scope, this._executionContext, this._builderContext);
    }
}
exports.QueryableK8sTarget = QueryableK8sTarget;
//# sourceMappingURL=k8s-target-builder.js.map