"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeValidatorRootScope = void 0;
const k8s_target_builder_1 = require("./k8s-target-builder");
const scope_1 = require("../scope");
const types_1 = require("../target/types");
function makeValidatorRootScope(rootScopeBuilder, item, executionContext) {
    rootScopeBuilder.setup(types_1.TopLevelQuery.ApiVersion, (apiVersion) => {
        const scope = new scope_1.Scope();
        const target = new k8s_target_builder_1.QueryableK8sTarget(scope, executionContext, item);
        const builder = target.ApiVersion(apiVersion);
        return builder;
    });
    rootScopeBuilder.setup(types_1.TopLevelQuery.Api, (apiOrNone) => {
        const scope = new scope_1.Scope();
        const target = new k8s_target_builder_1.QueryableK8sTarget(scope, executionContext, item);
        const builder = target.Api(apiOrNone);
        return builder;
    });
}
exports.makeValidatorRootScope = makeValidatorRootScope;
//# sourceMappingURL=scope-builder.js.map