"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeScopeQueryCount = exports.executeScopeQuerySingle = exports.executeScopeQueryMany = void 0;
const the_lodash_1 = __importDefault(require("the-lodash"));
const fetcher_1 = require("../query/fetcher");
function executeScopeQueryMany(scope, executionContext, builderContext) {
    scope.finalize();
    const fetcher = new fetcher_1.QueryFetcher(executionContext, scope);
    const result = fetcher.execute(builderContext);
    if (!result.success) {
        return [];
    }
    return result.items;
}
exports.executeScopeQueryMany = executeScopeQueryMany;
function executeScopeQuerySingle(scope, executionContext, builderContext) {
    const items = executeScopeQueryMany(scope, executionContext, builderContext);
    return the_lodash_1.default.head(items);
}
exports.executeScopeQuerySingle = executeScopeQuerySingle;
function executeScopeQueryCount(scope, executionContext, builderContext) {
    const items = executeScopeQueryMany(scope, executionContext, builderContext);
    return items.length;
}
exports.executeScopeQueryCount = executeScopeQueryCount;
//# sourceMappingURL=scope-executor.js.map