"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.spinOperation = void 0;
const ora_1 = __importDefault(require("ora"));
const output_1 = require("../commands/lint/output");
function spinOperation(name, indent) {
    const spinner = (0, ora_1.default)((0, output_1.indentify)(name !== null && name !== void 0 ? name : "", indent)).start();
    // spinner.spinner = 'moon';
    return {
        update: (newName) => {
            spinner.text = (0, output_1.indentify)(newName !== null && newName !== void 0 ? newName : "", indent);
        },
        complete: (newName) => {
            spinner.succeed((0, output_1.indentify)(newName !== null && newName !== void 0 ? newName : "", indent));
        },
        fail: (err) => {
            // spinner.color = 'red';
            spinner.fail((0, output_1.indentify)(err !== null && err !== void 0 ? err : "", indent));
        }
    };
}
exports.spinOperation = spinOperation;
//# sourceMappingURL=spinner.js.map