export interface K8sObject {
    apiVersion: string;
    kind: string;
    metadata?: K8sMetadata;
    [key: string]: any;
}
export interface K8sMetadata {
    namespace?: string;
    name?: string;
    [key: string]: any;
}
export interface K8sObjectKey {
    apiVersion: string;
    kind: string;
    namespace?: string;
    name?: string;
}
export interface K8sObjectId {
    apiVersion: string;
    api?: string;
    version: string;
    kind: string;
    namespace?: string;
    name?: string;
}
export declare function makeId(k8sObject: K8sObject): K8sObjectId;
export declare function makeK8sKey(k8sObject: K8sObject): K8sObjectKey;
export declare function makeK8sKeyStr(k8sObject: K8sObject): string;
//# sourceMappingURL=k8s.d.ts.map